Ubuntu

Compiz does not remember user preferences upon system restart

Reported by Leo on 2012-04-20
320
This bug affects 79 people
Affects Status Importance Assigned to Milestone
Compiz
Undecided
Unassigned
compiz (Ubuntu)
Undecided
Unassigned

Bug Description

Every time I restart my computer the 'bindings' set up during the session are not saved. Example:

Set up upper right corner of screen to trigger 'expo mode' (super + w) with mouse pointer. I use CCSM for that.
In CCSM go to window management menu, Scale submenu and bindings tab.
Select upper rigt corner in Initiate Window Picker for all windows. It works fine.
Restart your system.
Open a few windows and try to trigger expo mode with upper right corner with mouse pointer. It does not work.
Go back to CCSM, option is still selected there but does not work.
Have to reset setting and select again to have it working every time i restart.

User preferences should be stored upon restart

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: compiz 1:0.9.7.6-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14
Uname: Linux 3.2.0-23-generic x86_64
NonfreeKernelModules: nvidia wl
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 295.40 Thu Apr 5 21:37:00 PDT 2012
 GCC version: gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu4)
.tmp.unity.support.test.0:

ApportVersion: 2.0.1-0ubuntu5
Architecture: amd64
CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
CompositorRunning: compiz
Date: Fri Apr 20 10:03:02 2012
DistUpgraded: Fresh install
DistroCodename: precise
DistroVariant: ubuntu
GraphicsCard:
 NVIDIA Corporation G86 [GeForce 8400M GS] [10de:0427] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:022e]
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120328)
JockeyStatus:
 kmod:wl - Broadcom STA wireless driver (Proprietary, Enabled, In use) [auto-install]
 xorg:nvidia_current - NVIDIA accelerated graphics driver (Proprietary, Disabled, Not in use)
 xorg:nvidia_current_updates - NVIDIA accelerated graphics driver (post-release updates) (Proprietary, Enabled, In use)
MachineType: Dell Inc. XPS M1530
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-23-generic root=UUID=d38c1c6e-2743-466b-bd12-28db51f16245 ro quiet splash vt.handoff=7
SourcePackage: compiz
UpgradeStatus: No upgrade log present (probably fresh install)
XorgConf:
 Section "Device"
  Identifier "Default Device"
  Option "NoLogo" "True"
 EndSection
dmi.bios.date: 11/19/2008
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A12
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA12:bd11/19/2008:svnDellInc.:pnXPSM1530:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: XPS M1530
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.7.6-0ubuntu1
version.ia32-libs: ia32-libs 20090808ubuntu35
version.libdrm2: libdrm2 2.4.32-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

Leo (leopoldo-pena) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in compiz (Ubuntu):
status: New → Confirmed
Janis Petersons (bakape) wrote :

Quick fix, courtesy of Steven Kurylo (skurylo):

I used gconf-editor to change the following settings:

compiz-1 > general > screen0 > options > active_plugins

and I moved scale to the bottom of the list. Scale now works; however expo didn't. I then moved expo to be below unityshell, but above scale. It now works too.

lassenj (lassenj) wrote :

#3 solved it. Thx!

I can confirm that this worked for me as well!

Charl

Jonas Nikolaj Dalmose (dalmose) wrote :

This worked for me for scale and expo (thanks a lot), but it will not work to get "Show Desktop" assigned to "TopRight" corner because its not a plugin.
Can you please help me solve this to?

James Heany (digphan) wrote :

@Janis So far, fix seems to be working.

Michael Butler (efo7bk9) wrote :

The gconf fix worked for me as well. Thanks

flowerdealer (pixelcowboy79) wrote :

This worked for me but after some upgrades yesterday my unity launcher completely broke (on a dual screen setup) and all the gconf settings were reset to default... strange.

Petko Ditchev (pditchev) wrote :

I found an alternate fix ,and the possible cause : disable the "Launcher capture mouse" in Unity plugin->Experimental

Petko Ditchev (pditchev) wrote :

(this of course is not usable if you use autohide , but it's a simptom ,so I wanted to share it)

Try to change the system language to English (United Kingdom). Then CompizConfig can remember that I assign the Scale-funktion to TopRight corner.
But when I change back to Danish or Esperanto as system-wide language, then Compiz stops remembering the Scale-funktion.
Can it be a translation problem?

Sorry I meant Show Desktop instead of the Scale funktion.

Moritz Schmoll (chilloutmo) wrote :

Even with English (United Kingdom) as a language it doesn't work for me. Unity does not remember Show Desktop at the BottomRight key on startup. fix #3 worked for my scale plug-in but show desktop is not a plugin. any help on this?

Moritz Schmoll (chilloutmo) wrote :

by key of course I meant binding, I don't use keys but the hot corner.

Zeu Broo (z6broo) wrote :

Fix from #3 works _however_ it's not persistent :( Every reboot I have to move the order of expo and scale

Zeu Broo (z6broo) wrote :

By the way, I'm using autohide for unity

wistle (charl-wentzel) wrote :

I can confirm, for some reason, the order of the plugins keep changing such that unityshell is at the bottom of the list. I regularly have to rearrange them.

Daniel van Vugt (vanvugt) wrote :

If this is caused by gconf, it might be fixed when we move to gsettings for preferences. That will happen in the coming weeks in quantal.

Changed in compiz:
milestone: none → 0.9.8.1
wistle (charl-wentzel) wrote :

Surely we need a fix for the LTS release as well?

On 23/08/2012 05:41, Daniel van Vugt wrote:
> If this is caused by gconf, it might be fixed when we move to gsettings
> for preferences. That will happen in the coming weeks in quantal.
>
> ** Also affects: compiz
> Importance: Undecided
> Status: New
>
> ** Changed in: compiz
> Milestone: None => 0.9.8.1
>

If it may help, I use Alt+F2 and "unity --replace" every time I restart and it seems to work. It's faster than going back to CCSM.
By the way, disabling the "Launcher capture mouse" didn't have any effect here.

Moritz Schmoll (chilloutmo) wrote :

@vanvugt: will this include a fix of the show desktop binding? There is still neither a fix nor a workaround (except compiz/unity --replace at startup) for the show dektop binding, because it is not a plugin which one can change in the gconf list mentioned in post #3.

Changed in compiz:
milestone: 0.9.8.2 → 0.9.8.4
MikeRich (bigmeanmikerich) wrote :

Comment #3 also provided a solution for me. Thank you!

Changed in compiz:
milestone: 0.9.8.4 → 0.9.9.0
Tan Zong Xuan (tanqazx) wrote :

The fact that Comment #3 works most likely means that when the Unity plugin is loaded, it rewrites the settings/keybindings to some kind of (hardcoded?) default setting. Why should it be doing this? Shouldn't it respect the user's preferences and not rewrite the keybindings unless specifically told to do so (by pressing a Reset to Defaults button)?

In the case that certain settings or bindings might conflict with the operation of Unity (which doesn't seem to be the case here), then the right thing to do would be to have a dialogue pop up, informing users of the conflict, rather than silently changing settings to make things work with Unity.

Mario Vukelic (mario-vukelic) wrote :

My hot corners (set up with Ubuntu Tweak) randomly stop working in Quantal as well.

tags: added: quantal
flowerdealer (pixelcowboy79) wrote :
Download full text (4.7 KiB)

Same thing, still not working in Quantal. So I guess nobody is fixing this.

On Sat, Sep 29, 2012 at 1:54 PM, Mario Vukelic <email address hidden>wrote:

> My hot corners (set up with Ubuntu Tweak) randomly stop working in
> Quantal as well.
>
> ** Tags added: quantal
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (999939).
> https://bugs.launchpad.net/bugs/986208
>
> Title:
> Compiz does not remember user preferences upon system restart
>
> Status in Compiz:
> New
> Status in “compiz” package in Ubuntu:
> Confirmed
>
> Bug description:
> Every time I restart my computer the 'bindings' set up during the
> session are not saved. Example:
>
> Set up upper right corner of screen to trigger 'expo mode' (super + w)
> with mouse pointer. I use CCSM for that.
> In CCSM go to window management menu, Scale submenu and bindings tab.
> Select upper rigt corner in Initiate Window Picker for all windows. It
> works fine.
> Restart your system.
> Open a few windows and try to trigger expo mode with upper right corner
> with mouse pointer. It does not work.
> Go back to CCSM, option is still selected there but does not work.
> Have to reset setting and select again to have it working every time i
> restart.
>
> User preferences should be stored upon restart
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: compiz 1:0.9.7.6-0ubuntu1
> ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14
> Uname: Linux 3.2.0-23-generic x86_64
> NonfreeKernelModules: nvidia wl
> .proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory:
> '/proc/driver/nvidia/gpus/0'
> .proc.driver.nvidia.registry: Binary: ""
> .proc.driver.nvidia.version:
> NVRM version: NVIDIA UNIX x86_64 Kernel Module 295.40 Thu Apr 5
> 21:37:00 PDT 2012
> GCC version: gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu4)
> .tmp.unity.support.test.0:
>
> ApportVersion: 2.0.1-0ubuntu5
> Architecture: amd64
> CompizPlugins:
> [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
> CompositorRunning: compiz
> Date: Fri Apr 20 10:03:02 2012
> DistUpgraded: Fresh install
> DistroCodename: precise
> DistroVariant: ubuntu
> GraphicsCard:
> NVIDIA Corporation G86 [GeForce 8400M GS] [10de:0427] (rev a1) (prog-if
> 00 [VGA controller])
> Subsystem: Dell Device [1028:022e]
> InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64
> (20120328)
> JockeyStatus:
> kmod:wl - Broadcom STA wireless driver (Proprietary, Enabled, In use)
> [auto-install]
> xorg:nvidia_current - NVIDIA accelerated graphics driver (Proprietary,
> Disabled, Not in use)
> xorg:nvidia_current_updates - NVIDIA accelerated graphics driver
> (post-release updates) (Proprietary, Enabled, In use)
> MachineType: Dell Inc. XPS M1530
> PackageArchitecture: all
> ProcEnviron:
> PATH=(custom, no user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-23-generic
> root=UUID=d38c1c6e-2...

Read more...

karl (karl-sebastian-liebich) wrote :

The gconf workaround does not work in 12.10 because there is no /apps/compiz-1/general/screen0/options/active_plugins key in gconf-editor it seems to be in /apps/compizconfig-1/profiles/Default/general/screen0/options but no unityshell is listed in active_plugins..

my old config-files still fix the error, but I cannot configure it freshly

Mario Vukelic (mario-vukelic) wrote :

I recently installed 12.04.1 and immediately upgraded to Quantal. I see both keys mentioned in comment #27, /apps/compiz-1/general/screen0/options/active_plugins and also /apps/compizconfig-1/profiles/Default/general/screen0/options (without unityshell listed)

Just a few days ago I found this bug report and changed it in /apps/compiz-1/..., which worked and continues to work so far. I'm not sure if at that time I also saw the /apps/compizconfig-1/... already, but I doubt it. Maybe something changed during the past few days?

mlaverdiere (mlaverdiere) wrote :

I think I've found the way to have the scale preferences set with CCSM sticky across sessions with a freshly 12.10 installation. Basically, this is the same workaround than the one suggested in comment #3, except that we have to use Gsettings, with dconf-editor, instead of Gconf with gconf-editor (it seems that in 12.10, Unity and Compiz have migrated from Gconf to Gsettings). So here's how it works:

First, install dconf-editor: sudo apt-get install dconf-tools

Than, start dconf-editor and find this key: org/compiz/profiles/unity

Finally, just put the "scale" value completely at the end of the list of the plugins (be careful to put the coma and spaces exactly at the right place).

Of course, this is just a workaround and this bug still needs to be fixed. The basic and obvious way would be to make sure that users CCSM custom settings are always respected, unless they are really incompatible with Unity settings. But since Ubuntu/Unity already provide scale functions with the super-w key combo, the best way would be to integrate some scale activation by mouse/button within Unity itself, i.e. maybe in relation with the Launcher.

SivArt (landiatico) wrote :

I had the same issue on 12.04, I was able to fix the scale windows problem with the steps on comment #3, however, the Show desktop is not working after a restart, I then installed 12.10 and the show desktop issue persists, is it going to be a permanent fix in near future? Thanks!

MC Return (mc-return) wrote :

For all of you having problems with the showdesktop plug-in, see bug 1063171.

For all of you having problems with hardcoded Unity keys, see bug 1022743.

Problems with hot corners (edge bindings) might be caused because of bug 1011167 (Multimonitor only).

Lionel Dricot (ploum) wrote :

None of the solution provided works for me on a fresh 12.10 installation.

I've changed the dconf settings as seen with :

dconf read /org/compiz/profiles/unity/plugins-with-set-keys
['core', 'composite', 'opengl', 'decor', 'vpswitch', 'snap', 'mousepoll', 'resize', 'place', 'move', 'wall', 'grid', 'session', 'animation', 'fade', 'unitymtgrabhandles', 'workarounds', 'ezoom', 'unityshell', 'scale', 'expo']

And the gconf key keeps putting unityshell at the back at every reboot.

I also disabled "launcher catpures the pointer" but nothing works. Is that considered a priority bug?

mlaverdiere (mlaverdiere) wrote :

@Lionel: In my case, the dconf modifications works well with fresh 12.10 settings, keeping the scale function available to be activated at bottom right corner. Only after some upgrades did the settings stop working but it went back after reactivation with CCSM and it is persistent across sessions..

Unfortunately, I doubt this is considered a priority bug... Maybe it should, in order to compensate for the fact that, right now, Unity may be a great shell for a lot of people (that's my case), but it provides few customization options, making Compiz/CCSM options really desirable for many users.

Fix from #10 worked for me. Just disable the "Launcher capture mouse" in "Ubuntu Unity plugin -> Experimental".

information type: Public → Public Security
information type: Public Security → Private Security
Tom Haddon (mthaddon) on 2012-10-23
information type: Private Security → Public

Thanks @mthaddon and sorry from everyone else. I marked it as private by mistake. I couldn't imagine a new user could do something like that.

Changed in compiz:
status: New → Confirmed

 Changing the order in the dconf key:

"/org/compiz/profiles/unity/plugins/core/active-plugins"

to read:

['core', 'composite', 'opengl', 'decor', 'gnomecompat', 'resize', 'snap', 'move', 'regex', 'place', 'vpswitch', 'grid', 'widget', 'compiztoolbox', 'session', 'imgsvg', 'mousepoll', 'imgpng', 'animation', 'wall', 'unitymtgrabhandles', 'workarounds', 'ezoom', 'fade', 'unityshell', 'scale', 'expo']

Fixed the issue for me, in Ubuntu 12.04 64bit. For those that are saying it's not working for them, make sure you have "Ubuntu-Tweak" installed. I recall in researching this issue, coming across a claim that a dependent package installed with Ubuntu Tweak, corrects another issue with screen triggers being retained across reboots.

Also, I know this should be obvious, but if your machine won't do 3D acceleration these compiz plug-in's just plain don't work

James Heany (digphan) wrote :

Reordering worked fine for me until ver 12.10. In 12.10 the problem is back and reordering does not fix it. Disable the "Launcher capture mouse" doesn't either.

Stephen M. Webb (bregma) on 2012-11-12
tags: added: 13.04
eslin (d-launchpad-eslin-org) wrote :

what does 13.04 mean, will this be fixed first in that release?

Tom Jaeger (thjaeger) wrote :

Here's a backtrace from when the options get reset, but I can't quite make sense of it. It looks like compiz gets notified that the gsettings key 'org.compiz.core close-window-key' (which I can't find in dconf-editor!) got changed. As a response to that it sets 'org.gnome.desktop.wm.keybindings close' to the new value (which happens to be the default value), thereby overwriting the user-set value. Which I think would be a terrible idea even if the user had intentionally changed close-window-key.

Daniel van Vugt (vanvugt) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This particular bug has already been reported and is a duplicate of bug 964270, so it is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Feel free to continue to report any other bugs you may find.

James Heany (digphan) wrote :

@Daniel van Vugt (vanvugt) That bug is for keyboard shortcutsa while this one is for scale and expo settings (mouse bumping a corner, top, side or bottom of screen). This problem was traced for 12.04 but reappeared with 12.10.

James Heany (digphan) wrote :

@Daniel, removed duplicate link you provided as it is not a duplicate of this bug.

Actual duplicate of this bug is at: https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/858845

To post a comment you must log in.